
QGIS Application - Bug report #3281

RasterCalc crashes QGIS

2010-12-01 09:22 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Rasters

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13341

Description

Doing a simple:

dtm_interp4@1 - dtm_clip@1

consistently throws an error:

Error:

         GDAL Error 2: CPLMalloc(): Out of memory allocating -1024 bytes.

bringing down QGIS.

Samples attached.

History

#1 - 2010-12-01 09:33 AM - Paolo Cavallini

Second raster too large to be attached. Available here:

http://int.faunalia.it/~paolo/dtm_interp4.tif

#2 - 2010-12-05 11:22 AM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in . The problem was caused by the (south-up) orientation of raster dtm_interp4.tif

Files

dtm_clip.tif 217 KB 2010-12-01 Paolo Cavallini
